import * as React from 'react';
import { ITypeDefinitions } from 'graphql-tools';
import { ApolloCache } from 'apollo-cache';
import { ApolloMockedProviderOptions } from './ApolloMockedProviderOptions';
export declare const createApolloMockedProvider: (typeDefs: ITypeDefinitions, { cache: globalCache, provider, links, clientResolvers, }?: ApolloMockedProviderOptions) => ({ customResolvers, cache: componentCache, children, }: {
    customResolvers?: any;
    children: string | number | React.ReactElement<any, string | ((props: any) => React.ReactElement<any, string | any | (new (props: any) => React.Component<any, any, any>)> | null) | (new (props: any) => React.Component<any, any, any>)> | JSX.Element;
    cache?: ApolloCache<any> | undefined;
}) => JSX.Element;
